TypeOfSchedule (scheduler-portlet 2.0.1-SNAPSHOT API)
Date: 2013-10-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.portlets.user.shared.obj
Class TypeOfSchedule

    java.lang.Object
      org.gcube.datatransfer.portlets.user.shared.obj.TypeOfSchedule

All Implemented Interfaces:
  com.kfuntak.gwt.json.serialization.client.JsonSerializable

    public class TypeOfSchedule

extends Object
implements com.kfuntak.gwt.json.serialization.client.JsonSerializable

Field Summary
`protected boolean` | `directedScheduled`
`protected ManuallyScheduled` | `manuallyScheduled`
`protected PeriodicallyScheduled` | `periodicallyScheduled`

Constructor Summary
`TypeOfSchedule()`

Method Summary
`boolean` | `getDirectedScheduled()`
`ManuallyScheduled` | `getManuallyScheduled()`
`PeriodicallyScheduled` | `getPeriodicallyScheduled()`
`void` | `setDirectedScheduled(boolean directedScheduled)`
`void` | `setManuallyScheduled(ManuallyScheduled manuallyScheduled)`
`void` | `setPeriodicallyScheduled(PeriodicallyScheduled periodicallyScheduled)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### directedScheduled

    protected boolean directedScheduled

### manuallyScheduled

    protected ManuallyScheduled manuallyScheduled

### periodicallyScheduled

    protected PeriodicallyScheduled periodicallyScheduled

Constructor Detail

### TypeOfSchedule

    public TypeOfSchedule()

Method Detail

### getDirectedScheduled

    public boolean getDirectedScheduled()

### setDirectedScheduled

    public void setDirectedScheduled(boolean directedScheduled)

### getManuallyScheduled

    public ManuallyScheduled getManuallyScheduled()

### setManuallyScheduled

    public void setManuallyScheduled(ManuallyScheduled manuallyScheduled)

### getPeriodicallyScheduled

    public PeriodicallyScheduled getPeriodicallyScheduled()

### setPeriodicallyScheduled

    public void setPeriodicallyScheduled(PeriodicallyScheduled periodicallyScheduled)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.